Skip to main content
POST
/
api
/
v1
/
client_lifecycle
/
update
Actualizar un ciclo de vida existente
curl --request POST \
  --url https://api.raul.ugps.io/api/v1/client_lifecycle/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clientLifecycleId": "123e4567-e89b-12d3-a456-426614174000",
  "clientLifecycleName": "Activo Renovado"
}
'
import requests

url = "https://api.raul.ugps.io/api/v1/client_lifecycle/update"

payload = {
"clientLifecycleId": "123e4567-e89b-12d3-a456-426614174000",
"clientLifecycleName": "Activo Renovado"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientLifecycleId: '123e4567-e89b-12d3-a456-426614174000',
clientLifecycleName: 'Activo Renovado'
})
};

fetch('https://api.raul.ugps.io/api/v1/client_lifecycle/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Operación exitosa",
  "status": 200
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
clientLifecycleId
string
required

ID del ciclo de vida

Example:

"123e4567-e89b-12d3-a456-426614174000"

clientLifecycleName
string
required

Nombre del ciclo de vida

Example:

"Activo Renovado"

Response

Ciclo de vida actualizado exitosamente

message
string
required

Mensaje de respuesta

Example:

"Operación exitosa"

status
number

Código de estado

Example:

200